import { onMounted, onUnmounted, ref } from 'vue';

export function useMediaQuery(query: string) {
    const mediaQuery = window.matchMedia(query);
    const match = ref(mediaQuery.matches);
    const handler = (e: MediaQueryListEvent) => (match.value = e.matches);
    onMounted(() => mediaQuery.addEventListener('change', handler));
    onUnmounted(() => mediaQuery.removeEventListener('change', handler));
    return { match };
}
